Skip to main content

Overview

This endpoint allows you to register a new incident on public roads. The incident is recorded in the database with details about the type, location, anomaly, and optionally a photo.

Authentication

This endpoint requires authentication through a device IMEI identifier that must be associated with a municipality in the system.

HTTP Request

POST /RestMultesPDA/svcMultesPDA.svc/rest/AltaInci

Request Headers

HeaderValueRequired
Content-Typeapplication/xmlYes

Request Body

The request body must be an XML document with the incident data conforming to the InciType schema.
Cdclie
string
required
Municipality code according to ORGT coding (3 digits in string format). Example: ‘088’
Nminci
string
Incident number
Imei
string
required
Device identifier (maximum 15 alphanumeric positions)
Cdagen
string
required
Agent code
Nmtipu
string
required
Incident type number
Nmambi
string
required
Scope/environment number
Nmobje
string
required
Object number
Nmanom
string
required
Anomaly number
Dsinci
string
Incident description
Dslloc
string
required
Location description
Dtinci
string
required
Incident date and time (format: yyyy/MM/dd HH:mm:ss)
NminciPDA
string
PDA incident number
Snfoto
string
Photo indicator (‘S’ for yes, ‘N’ for no)
Foto
array
Photo data encoded in Base64 format

Response

tRetorn
object
Return object with the operation result
CodiRetorn
integer
Return code:
  • 0: Success - incident recorded successfully
  • -1: Database error - incident could not be saved
  • Negative number (not -9000): Database error
  • -9000: Other error
DescRetorn
string
Return description (error message if applicable)

Example Request

<InciType xmlns="http://schemas.datacontract.org/2004/07/WcfMultesPDA">
	<Cdagen>220</Cdagen>
	<Cdclie>088</Cdclie>
	<Dsinci>prova</Dsinci>
	<Dslloc>via pública</Dslloc>
	<Dtinci>2025/03/07 13:13:13</Dtinci>
	<Foto>/9j/YZVDELmjozSniHHQ//2Q2A==</Foto>
	<Imei>353947020131525</Imei>
	<Nmambi>2</Nmambi>
	<Nmanom>4</Nmanom>
	<NminciPDA>4</NminciPDA>
	<Nmobje>3</Nmobje>
	<Nmtipu>1</Nmtipu>
	<Snfoto>S</Snfoto>
</InciType>

Example Response

Success Response (200 OK)

<tRetorn xmlns="http://schemas.datacontract.org/2004/07/WcfMultesPDA" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
	<CodiRetorn>0</CodiRetorn>
	<DescRetorn/>
</tRetorn>

Error Codes

CodeDescription
0Success - incident recorded successfully
-1Could not save the incident to the database
-9000Error different from database errors
Other negativeDatabase error

Notes

  • All XML fields should be ordered alphabetically within the InciType element
  • The Foto field should contain Base64-encoded image data
  • The device IMEI must be previously registered and associated with a municipality
  • The incident types, scopes, objects, and anomalies should be obtained from the master data using the ObtenirActualitzacions endpoint

Build docs developers (and LLMs) love